Payment API

Endpoint untuk membaca payment gateway dan informasi pembayaran order.

Payment API digunakan untuk mengambil informasi payment gateway dan instruksi pembayaran order.

Endpoint

http
GET /payments/gateways
GET /orders/{id}/payment-instructions
GET /orders/{id}/payment-gateway

Scopes

EndpointScope terkait
/payments/gatewayspayments:read
/orders/{id}/payment-instructionsorders:read atau scope order terkait
/orders/{id}/payment-gatewayorders:write atau scope order terkait

Payment Gateways

http
GET /wp-json/sejoli/v1/payments/gateways

Contoh:

bash
curl \
  -H "Authorization: Bearer sejoliapi_xxxxxxxx_secret" \
  "https://domain-anda.com/wp-json/sejoli/v1/payments/gateways"

Payment Instructions Order

http
GET /wp-json/sejoli/v1/orders/{id}/payment-instructions

Payment Gateway Order

http
GET /wp-json/sejoli/v1/orders/{id}/payment-gateway

Last updated Jul 6, 2026